Brands
Retrieve a brand by ID
Retrieves a single brand and all its associated series by brand ID. Includes brand details, logo, cover image, description, translations, and all series under the brand.
GET
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
brands
/
{brand_id}
Retrieve a brand by ID
curl --request GET \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"address": {
"city": "<string>",
"co_address": "<string>",
"country": "<string>",
"house_number": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"street_address": "<string>"
},
"cover": {
"id": "<string>",
"url": "<string>"
},
"created_at": "<string>",
"description": "<string>",
"email": "<string>",
"id": "<string>",
"logo": {
"id": "<string>",
"url": "<string>"
},
"name": "<string>",
"series": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"slug": "<string>",
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Path Parameters
App slug
Team slug
Id of brand
⌘I
Retrieve a brand by ID
curl --request GET \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/brands/{brand_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"address": {
"city": "<string>",
"co_address": "<string>",
"country": "<string>",
"house_number": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"street_address": "<string>"
},
"cover": {
"id": "<string>",
"url": "<string>"
},
"created_at": "<string>",
"description": "<string>",
"email": "<string>",
"id": "<string>",
"logo": {
"id": "<string>",
"url": "<string>"
},
"name": "<string>",
"series": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"slug": "<string>",
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}